/* eslint-disable */
/* prettier-ignore */
// @ts-nocheck
// Generated by unplugin-vue-components
// Read more: https://github.com/vuejs/core/pull/3399
export {}

declare module 'vue' {
  export interface GlobalComponents {
    About: typeof import('./src/components/About.vue')['default']
    AdvList: typeof import('./src/components/AdvList.vue')['default']
    AdvListItem: typeof import('./src/components/AdvListItem.vue')['default']
    ChatDefaultContent: typeof import('./src/components/ChatDefaultContent.vue')['default']
    DvList: typeof import('./src/components/dvList.vue')['default']
    EditProfile: typeof import('./src/components/EditProfile.vue')['default']
    EditProfilePopup: typeof import('./src/components/EditProfilePopup.vue')['default']
    ElButton: typeof import('element-plus/es')['ElButton']
    ElCheckbox: typeof import('element-plus/es')['ElCheckbox']
    ElDropdown: typeof import('element-plus/es')['ElDropdown']
    ElDropdownItem: typeof import('element-plus/es')['ElDropdownItem']
    ElDropdownMenu: typeof import('element-plus/es')['ElDropdownMenu']
    ElForm: typeof import('element-plus/es')['ElForm']
    ElFormItem: typeof import('element-plus/es')['ElFormItem']
    ElInput: typeof import('element-plus/es')['ElInput']
    Header: typeof import('./src/components/Header.vue')['default']
    Layout: typeof import('./src/components/Layout.vue')['default']
    Menu: typeof import('./src/components/Menu.vue')['default']
    NavBar: typeof import('./src/components/NavBar.vue')['default']
    RouterLink: typeof import('vue-router')['RouterLink']
    RouterView: typeof import('vue-router')['RouterView']
    Welcome: typeof import('./src/components/welcome.vue')['default']
  }
}
